org.apache.catalina.ha.authenticator

## Class SingleSignOnMessage

- java.lang.Object
- - org.apache.catalina.ha.authenticator.SingleSignOnMessage

All Implemented Interfaces:
  Serializable, ClusterMessage

    public class SingleSignOnMessage
    extends Object
    implements ClusterMessage

Contains the SingleSignOn data, read and written by the ClusterSingleSignOn

Author:
  Fabien Carrion
See Also:
  Serialized Form

### Field Summary

Fields
`static int` `ADD_SESSION`
`static int` `DEREGISTER_SESSION`
`static int` `LOGOUT_SESSION`
`static int` `REGISTER_SESSION`
`static int` `REMOVE_SESSION`
`static int` `UPDATE_SESSION`

### Constructor Summary

Constructors
Constructor and Description
`SingleSignOnMessage(Member source, String ssoId, String sessionId)`

### Method Summary

Methods
`int` `getAction()`
`Member` `getAddress()` Get the address that this message originated from.
`String` `getAuthType()`
`String` `getContextName()`
`String` `getPassword()`
`SerializablePrincipal` `getPrincipal()`
`String` `getSessionId()`
`String` `getSsoId()`
`long` `getTimestamp()` Timestamp message.
`String` `getUniqueId()` Each message must have a unique ID, in case of using async replication, and a smart queue, this id is used to replace messages not yet sent.
`String` `getUsername()`
`void` `setAction(int action)`
`void` `setAddress(Member member)` Called by the cluster before sending it to the other nodes.
`void` `setAuthType(String authType)`
`void` `setContextName(String ctxname)`
`void` `setPassword(String password)`
`void` `setPrincipal(SerializablePrincipal principal)`
`void` `setSessionId(String sessionId)`
`void` `setSsoId(String ssoId)`
`void` `setTimestamp(long timestamp)` Called by the cluster before sending out the message.
`void` `setUniqueId(String uniqueId)`
`void` `setUsername(String username)`
`String` `toString()` Return a String rendering of this object.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### ADD_SESSION

    public static final int ADD_SESSION

See Also:
  Constant Field Values

#### DEREGISTER_SESSION

    public static final int DEREGISTER_SESSION

See Also:
  Constant Field Values

#### LOGOUT_SESSION

    public static final int LOGOUT_SESSION

See Also:
  Constant Field Values

#### REGISTER_SESSION

    public static final int REGISTER_SESSION

See Also:
  Constant Field Values

#### UPDATE_SESSION

    public static final int UPDATE_SESSION

See Also:
  Constant Field Values

#### REMOVE_SESSION

    public static final int REMOVE_SESSION

See Also:
  Constant Field Values

### Constructor Detail

#### SingleSignOnMessage

    public SingleSignOnMessage(Member source,
                       String ssoId,
                       String sessionId)

### Method Detail

#### getAddress

    public Member getAddress()

Get the address that this message originated from. This would be set if the message was being relayed from a host other than the one that originally sent it.

Specified by:
  `getAddress` in interface `ClusterMessage`

#### setAddress

    public void setAddress(Member member)

Called by the cluster before sending it to the other nodes.

Specified by:
  `setAddress` in interface `ClusterMessage`
Parameters:
  `member` - Member

#### getTimestamp

    public long getTimestamp()

Timestamp message.

Specified by:
  `getTimestamp` in interface `ClusterMessage`
Returns:
  long

#### setTimestamp

    public void setTimestamp(long timestamp)

Called by the cluster before sending out the message.

Specified by:
  `setTimestamp` in interface `ClusterMessage`
Parameters:
  `timestamp` - The timestamp

#### getUniqueId

    public String getUniqueId()

Each message must have a unique ID, in case of using async replication, and a smart queue, this id is used to replace messages not yet sent.

Specified by:
  `getUniqueId` in interface `ClusterMessage`
Returns:
  String

#### setUniqueId

    public void setUniqueId(String uniqueId)

Specified by:
  `setUniqueId` in interface `ClusterMessage`

#### getAction

    public int getAction()

#### setAction

    public void setAction(int action)

#### getSsoId

    public String getSsoId()

#### setSsoId

    public void setSsoId(String ssoId)

#### getContextName

    public String getContextName()

#### setContextName

    public void setContextName(String ctxname)

#### getSessionId

    public String getSessionId()

#### setSessionId

    public void setSessionId(String sessionId)

#### getAuthType

    public String getAuthType()

#### setAuthType

    public void setAuthType(String authType)

#### getPassword

    public String getPassword()

#### setPassword

    public void setPassword(String password)

#### getUsername

    public String getUsername()

#### setUsername

    public void setUsername(String username)

#### getPrincipal

    public SerializablePrincipal getPrincipal()

#### setPrincipal

    public void setPrincipal(SerializablePrincipal principal)

#### toString

    public String toString()

Return a String rendering of this object.

Overrides:
  `toString` in class `Object`